source: vlo/trunk/pom.xml @ 5116

Last change on this file since 5116 was 5116, checked in by Twan Goosen, 10 years ago

Updated versions of dependencies mentioned in #541 except for VTD (upgrade of which causes test failures, need to investigate)

Refs #541

File size: 2.0 KB
Line 
1<?xml version="1.0" encoding="UTF-8"?>
2<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0                                                     http://maven.apache.org/xsd/maven-4.0.0.xsd">
3   
4    <modelVersion>4.0.0</modelVersion>
5    <groupId>eu.clarin.cmdi</groupId>
6    <artifactId>vlo</artifactId>
7    <name>Virtual Language Observatory</name>
8    <packaging>pom</packaging>
9   
10    <!-- When updating the version number here, also update the version number
11         in each module's pom.xml
12    -->
13    <version>3.1-SNAPSHOT</version>
14   
15    <description>Virtual Language Observatory (VLO) parent project</description>
16    <organization>
17        <name>CLARIN</name>
18        <url>http://www.clarin.eu</url>
19    </organization>
20
21    <modules>
22        <module>vlo-solr</module>
23        <module>vlo-web-app</module>
24        <module>vlo-importer</module>
25        <module>vlo-commons</module>
26        <module>vlo-distribution</module>
27    </modules>
28
29    <properties>
30        <solr.version>4.7.2</solr.version>
31        <slf4j.version>1.7.7</slf4j.version>
32        <saxon.version>9.5.1-5</saxon.version>
33        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
34        <netbeans.hint.license>gpl30</netbeans.hint.license>
35    </properties>
36   
37    <dependencies>
38        <dependency>
39            <groupId>org.slf4j</groupId>
40            <artifactId>slf4j-api</artifactId>
41            <version>${slf4j.version}</version>
42        </dependency>
43       
44        <dependency>
45            <groupId>junit</groupId>
46            <artifactId>junit</artifactId>
47            <version>4.11</version>
48            <scope>test</scope>
49        </dependency>
50    </dependencies>
51   
52    <!-- TODO: get rid of dependency on MPI repository -->
53    <repositories>
54        <repository>
55            <id>MPI</id>
56            <name>MPI LAT Repository</name>
57            <url>http://lux15.mpi.nl/nexus/content/groups/public</url>
58        </repository>
59    </repositories>
60</project>
Note: See TracBrowser for help on using the repository browser.